
-- Towers of Hanoi

data Move = Int :-> Int

move ndisks poleA poleB = cmove ndisks poleA poleB []

cmove ndisks poleA poleB otherMoves
        | ndisks == 1     = poleA :-> poleB : otherMoves
        | otherwise       = cmove (ndisks-1) poleA poleC
                              (poleA :-> poleB
                              : cmove (ndisks-1) poleC poleB otherMoves)
                            where poleC = (6 - (poleA+poleB))


-- move 5 1 3 -- moves 5 disks from pole 1 to pole 3
